using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.Passport.DataAccess
{
	public class UserLogInfoSelectByConditions : DataAccessBase
	{
		public UserLogInfoSelectByConditions()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.DES;
			base.Key = "1234";
			base.IV = "1234";
			ConnectionString = ConfigurationManager.AppSettings["Passport"];
			base.InitCommand("[dbo].[UserLogInfoSelectByConditions]");
			ConfigParameter();
		}

		private SqlParameter paramUserID;
		public System.Int32 UserID
		{
			get
			{
				return (System.Int32)paramUserID.Value;
			}
			set
			{
				paramUserID.Value = value;
			}
		}

		private SqlParameter paramBeginTime;
		public System.DateTime BeginTime
		{
			get
			{
				return (System.DateTime)paramBeginTime.Value;
			}
			set
			{
				paramBeginTime.Value = value;
			}
		}

		private SqlParameter paramEndTime;
		public System.DateTime EndTime
		{
			get
			{
				return (System.DateTime)paramEndTime.Value;
			}
			set
			{
				paramEndTime.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramUserID = new SqlParameter();
			paramUserID.ParameterName = "@UserID";
			paramUserID.SqlDbType = SqlDbType.Int;
			paramUserID.Precision = 10;
			paramUserID.Scale = 0;
			paramUserID.Direction = ParameterDirection.Input;
			paramUserID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUserID);
			//--------------------------------------------------------
			paramBeginTime = new SqlParameter();
			paramBeginTime.ParameterName = "@BeginTime";
			paramBeginTime.SqlDbType = SqlDbType.DateTime;
			paramBeginTime.Size = 16;
			paramBeginTime.Scale = 3;
			paramBeginTime.Direction = ParameterDirection.Input;
			paramBeginTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramBeginTime);
			//--------------------------------------------------------
			paramEndTime = new SqlParameter();
			paramEndTime.ParameterName = "@EndTime";
			paramEndTime.SqlDbType = SqlDbType.DateTime;
			paramEndTime.Size = 16;
			paramEndTime.Scale = 3;
			paramEndTime.Direction = ParameterDirection.Input;
			paramEndTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramEndTime);
		}
	}
}